package com.huimv.eartag.manager.service;


import com.github.pagehelper.PageInfo;
import com.huimv.eartag.manager.pojo.FarmInfo;

import java.util.List;

/****
 * @Author:shenkunlin
 * @Description:FarmInfo业务层接口
 * @Date 2019/6/14 0:16
 *****/
public interface FarmInfoService {

    /***
     * FarmInfo多条件分页查询
     * @param farmInfo
     * @param page
     * @param size
     * @return
     */
    PageInfo<FarmInfo> findPage(FarmInfo farmInfo, int page, int size);

    /***
     * FarmInfo分页查询
     * @param page
     * @param size
     * @return
     */
    PageInfo<FarmInfo> findPage(int page, int size);

    /***
     * FarmInfo多条件搜索方法
     * @param farmInfo
     * @return
     */
    List<FarmInfo> findList(FarmInfo farmInfo);

    /***
     * 删除FarmInfo
     * @param id
     */
    void delete(Integer id);

    /***
     * 修改FarmInfo数据
     * @param farmInfo
     */
    void update(FarmInfo farmInfo);

    /***
     * 新增FarmInfo
     * @param farmInfo
     */
    void add(FarmInfo farmInfo);

    /**
     * 根据ID查询FarmInfo
     * @param id
     * @return
     */
     FarmInfo findById(Integer id);

    /***
     * 查询所有FarmInfo
     * @return
     */
    List<FarmInfo> findAll();
}
