package com.huimv.eartag.manager.service;


import com.github.pagehelper.PageInfo;
import com.huimv.eartag.manager.pojo.PigHome;

import java.util.List;

/****
 * @Author:shenkunlin
 * @Description:PigHome业务层接口
 * @Date 2019/6/14 0:16
 *****/
public interface PigHomeService {

    /***
     * PigHome多条件分页查询
     * @param pigHome
     * @param page
     * @param size
     * @return
     */
    PageInfo<PigHome> findPage(PigHome pigHome, int page, int size);

    /***
     * PigHome分页查询
     * @param page
     * @param size
     * @return
     */
    PageInfo<PigHome> findPage(int page, int size);

    /***
     * PigHome多条件搜索方法
     * @param pigHome
     * @return
     */
    List<PigHome> findList(PigHome pigHome);

    /***
     * 删除PigHome
     * @param id
     */
    void delete(Integer id);

    /***
     * 修改PigHome数据
     * @param pigHome
     */
    void update(PigHome pigHome);

    /***
     * 新增PigHome
     * @param pigHome
     */
    void add(PigHome pigHome);

    /**
     * 根据ID查询PigHome
     * @param id
     * @return
     */
     PigHome findById(Integer id);

    /***
     * 查询所有PigHome
     * @return
     */
    List<PigHome> findAll();
}
