package com.huimv.eartag.manager.service.impl;

import com.huimv.common.date.DateUtil;
import com.huimv.eartag.manager.service.JqidService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Component
public class SendPackageService {

    @Autowired
    private JqidService jqidService;

    /**
     * @Method      : _handleGetDeviceId
     * @Description : 获取设备id
     * @Params      : [clientMessageArray]
     * @Return      : java.lang.String
     *
     * @Author      : ZhuoNing
     * @Date        : 2021/1/15
     * @Time        : 17:41
     */
    public String getDeviceId(String[] clientMessageArray) {
        String serialNo = clientMessageArray[1];
        System.out.println("serialNo>>"+serialNo);
        // 查询机器id
        String jqid = jqidService.findDeviceIdByJQcode(serialNo);
        return "hm+"+jqid+"+1+7+end";
    }

    /**
     * @Method      : _handleGetServerDateTime
     * @Description : 获取获取服务器日期时间
     * @Params      : [clientMessageArray]
     * @Return      : java.lang.String
     *
     * @Author      : ZhuoNing
     * @Date        : 2021/1/15
     * @Time        : 17:38
     */
    public String getServerDateTime(String[] clientMessageArray) {
        //
        String formatNow = DateUtil.getNowWithDigital();
        System.out.println("formatNow>>"+formatNow);
        return "hm+2+"+formatNow+"+0+end";
    }

    /**
     * @Method      : _handleGetHeartbeatBag
     * @Description : 获取心跳包
     * @Params      : [clientMessageArray]
     * @Return      : java.lang.String
     *
     * @Author      : ZhuoNing
     * @Date        : 2021/1/15
     * @Time        : 17:38
     */
    public String getHeartbeatBag(String[] clientMessageArray) {
        return "hm+3+0+6+end";
    }
}
