package com.huimv.eartag.monitor.service.impl;

import com.huimv.eartag.monitor.service.IClientDataPacketService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.ParseException;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Service
@Slf4j
public class ClientDataPacketServiceImpl implements IClientDataPacketService {

    @Autowired
    private ReceivePackageSerivce receivePackageSerivce;
    @Autowired
    private SendPackageService sendPackageService;

    @Override
    public String parseClientSendPacket(String clientMessageTxt) throws ParseException {
        if (clientMessageTxt == null || clientMessageTxt.isEmpty()) {

        }
        String matcher = "[+]";
//        String matcher = "\\+";
        String[] clientMessageArray = clientMessageTxt.split(matcher);
        String cmd = clientMessageArray[2];
        log.info("命令>>" + cmd);
        StringBuilder echoResultSb = new StringBuilder();
        // 校验后边再做；
        if (Integer.parseInt(cmd) == 1) {
            // 绑定序列号返回的设备id
            return sendPackageService.getDeviceId(clientMessageArray);
        } else if (Integer.parseInt(cmd) == 2) {
            // 处理获取服务器时间
            return sendPackageService.getServerDateTime(clientMessageArray);
        } else if (Integer.parseInt(cmd) == 3) {
            // 处理心跳包
            return sendPackageService.getHeartbeatBag(clientMessageArray);
        } else if (Integer.parseInt(cmd) == 4) {
            // 处理温度上传
            return receivePackageSerivce.handleEartagTemperature(clientMessageArray);
        } else if (Integer.parseInt(cmd) == 5) {
            // 处理湿度上传
            return receivePackageSerivce.handleEartagDampness(clientMessageArray);
        } else if (Integer.parseInt(cmd) == 6) {
            // 处理耳标数据
            return receivePackageSerivce.handleEartagData(clientMessageArray).toString();
        } else {
            log.error("出错：当前命令cmd>>[" + cmd + "]未做任何处理.");
            return null;
        }
    }

}
